%define major 1
%define libname %mklibname notify %major

Summary: Desktop notifications library
Name: libnotify
Version: 0.4.2
Release: %mkrel 2
License: GPL
Group: System/Libraries
Source: http://www.galago-project.org/files/releases/source/libnotify/libnotify-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.galago-project.org/
Buildrequires: dbus-glib-devel
Buildrequires: popt-devel
Buildrequires: gtk+2-devel
Buildrequires: gtk-doc

%description
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %libname
Group: System/Libraries
Summary: Desktop notifications library - shared library
Requires: notification-daemon

%description -n %libname
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %libname-devel
Group: Development/C
Summary: Desktop notifications library - headers
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libname-devel
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*
%_datadir/gtk-doc/html/*

%changelog
* Tue Aug  1 2006 Götz Waschk <waschk@mandriva.org> 0.4.2-2mdv2007.0
- fix buildrequires

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdv2007.0
- update file list
- New release 0.4.2

* Wed Apr 26 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- New release 0.4.0

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- fix buildrequires

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- major 1
- update deps
- New release 0.3.2

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- change deps
- New release 0.3.0
- use mkrel

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-3mdk
- depend on notification-daemon

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- fix buildrequires

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- initial mdk package

* Mon Jul 12 2005 Richard Hughes <richard@hughsie.com> 0.0.1-1
- initial packaging of 0.0.1

